Skip to main content
GET
/
customers
List customers
curl --request GET \
  --url https://api.sentralbee.app/v1/customers \
  --header 'Authorization: Bearer <token>'
{
  "page": 123,
  "size": 123,
  "total": 123,
  "total_pages": 123,
  "has_next_page": true,
  "has_previous_page": true,
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstname": "<string>",
      "lastname": "<string>",
      "email": "jsmith@example.com",
      "phone": "<string>",
      "note": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://sentralbee.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Workspace API key. The workspace is derived from the key.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100
sort_by
string
default:createdAt
sort_order
enum<string>
default:desc
Available options:
asc,
desc

Response

A page of customers

page
integer
size
integer
total
integer
total_pages
integer
has_next_page
boolean
has_previous_page
boolean
items
object[]